# Class MolstarAssemblyLoader

#### Hierarchy

- MolstarAssemblyLoader

#### Implements

- StructureLoaderInterface<[ViewerActionManagerInterface<LoadMolstarInterface<AssemblyTrajectoryParamsType, LoadMolstarReturnType>, LoadMolstarReturnType>], LoadMolstarReturnType>

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarUtils/MolstarAssemblyLoader.ts:14

#####
Index

### Constructors

constructor

### Properties

assemblyId
asymId?
entryId

### Methods

load

## Constructors

### constructor

- new MolstarAssemblyLoader(config): MolstarAssemblyLoader

- #### Parameters

  - ##### config: {
    assemblyId: string;
    asymId?: string;
    entryId: string;
    }

    - ##### assemblyId: string

    - ##### `Optional` asymId?: string

    - ##### entryId: string

  #### Returns MolstarAssemblyLoader

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarUtils/MolstarAssemblyLoader.ts:22

## Properties

### `Private` `Readonly` assemblyId

assemblyId: string

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarUtils/MolstarAssemblyLoader.ts:20

### `Private` `Optional` `Readonly` asymId

asymId?: string

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarUtils/MolstarAssemblyLoader.ts:21

### `Private` `Readonly` entryId

entryId: string

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarUtils/MolstarAssemblyLoader.ts:19

## Methods

### load

- load(structureViewer): Promise<undefined | LoadMolstarReturnType>

- #### Parameters

  - ##### structureViewer: ViewerActionManagerInterface<LoadMolstarInterface<AssemblyTrajectoryParamsType, LoadMolstarReturnType>, LoadMolstarReturnType>

  #### Returns Promise<undefined | LoadMolstarReturnType>

  Implementation of StructureLoaderInterface.load

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarUtils/MolstarAssemblyLoader.ts:28

Generated using TypeDoc